ins
Prev | Orchestra Opcodes and Operators | Next

## ins

ins — Reads stereo audio data from an external device or stream.

## Description

Reads stereo audio data from an external device or stream.

| Warning
This opcode is designed to be used only with orchestras that have nchnls=2. Doing so with orchestras with nchnls > 2 will cause incorrect audio input.

## Syntax

    ar1, ar2 ins

## Performance

Reads stereo audio data from an external device or stream. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer. Any number of these opcodes can read freely from this buffer.

## See Also

diskin, in, inh, inh, ino, inq, soundin

## Credits

Authors: Barry L. Vercoe, Matt Ingalls/Mike Berry
MIT, Mills College
1993-1997

Prev | Up | Next
inrg | Home | insremot